commit c73bc8d8b2166a1424cfaa8a8d92d5c62c13bf43
Author: Assos Assos <assos+forge@centrale-marseille.fr>
Date:   Thu Mar 9 00:04:40 2017 +0100

    Weekly update of contrib modules

diff --git a/drupal7/sites/all/modules/media/media.info b/drupal7/sites/all/modules/media/media.info
index a9b88042..783d280a 100644
--- a/drupal7/sites/all/modules/media/media.info
+++ b/drupal7/sites/all/modules/media/media.info
@@ -24,9 +24,9 @@ configure = admin/config/media/browser
 ; We have to add a fake version so Git checkouts do not fail Media dependencies
 version = 7.x-2.x-dev
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-2.0-rc11"
+; Information added by Drupal.org packaging script on 2017-03-05
+version = "7.x-2.0-rc12"
 core = "7.x"
 project = "media"
-datestamp = "1488279796"
+datestamp = "1488724088"
 
diff --git a/drupal7/sites/all/modules/media/media.views.inc b/drupal7/sites/all/modules/media/media.views.inc
index c577f48e..70d5c2f1 100644
--- a/drupal7/sites/all/modules/media/media.views.inc
+++ b/drupal7/sites/all/modules/media/media.views.inc
@@ -19,7 +19,7 @@ function media_views_plugins() {
   if (module_exists('search_api')) {
     // If the Search API module exists, also allow indices of the file-entity
     // that has the fid field indexed.
-    $indices = search_api_index_load_multiple(NULL);
+    $indices = search_api_index_load_multiple(FALSE);
     foreach ($indices as $machine_name => $index) {
       if ($index->item_type == 'file' && isset($index->options['fields']['fid'])) {
         $base[] = 'search_api_index_' . $machine_name;
diff --git a/drupal7/sites/all/modules/media/modules/media_bulk_upload/media_bulk_upload.info b/drupal7/sites/all/modules/media/modules/media_bulk_upload/media_bulk_upload.info
index 6eff3991..40aaff9a 100644
--- a/drupal7/sites/all/modules/media/modules/media_bulk_upload/media_bulk_upload.info
+++ b/drupal7/sites/all/modules/media/modules/media_bulk_upload/media_bulk_upload.info
@@ -15,9 +15,9 @@ test_dependencies[] = plupload
 files[] = includes/MediaBrowserBulkUpload.inc
 files[] = tests/media_bulk_upload.test
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-2.0-rc11"
+; Information added by Drupal.org packaging script on 2017-03-05
+version = "7.x-2.0-rc12"
 core = "7.x"
 project = "media"
-datestamp = "1488279796"
+datestamp = "1488724088"
 
diff --git a/drupal7/sites/all/modules/media/modules/media_internet/media_internet.info b/drupal7/sites/all/modules/media/modules/media_internet/media_internet.info
index 0a1cecb4..563d5bfc 100644
--- a/drupal7/sites/all/modules/media/modules/media_internet/media_internet.info
+++ b/drupal7/sites/all/modules/media/modules/media_internet/media_internet.info
@@ -12,9 +12,9 @@ files[] = includes/MediaInternetNoHandlerException.inc
 files[] = includes/MediaInternetValidationException.inc
 files[] = tests/media_internet.test
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-2.0-rc11"
+; Information added by Drupal.org packaging script on 2017-03-05
+version = "7.x-2.0-rc12"
 core = "7.x"
 project = "media"
-datestamp = "1488279796"
+datestamp = "1488724088"
 
diff --git a/drupal7/sites/all/modules/media/modules/media_internet/tests/media_internet_test.info b/drupal7/sites/all/modules/media/modules/media_internet/tests/media_internet_test.info
index b3545605..749a92dd 100644
--- a/drupal7/sites/all/modules/media/modules/media_internet/tests/media_internet_test.info
+++ b/drupal7/sites/all/modules/media/modules/media_internet/tests/media_internet_test.info
@@ -7,9 +7,9 @@ hidden = TRUE
 files[] = includes/MediaInternetTestStreamWrapper.inc
 files[] = includes/MediaInternetTestHandler.inc
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-2.0-rc11"
+; Information added by Drupal.org packaging script on 2017-03-05
+version = "7.x-2.0-rc12"
 core = "7.x"
 project = "media"
-datestamp = "1488279796"
+datestamp = "1488724088"
 
diff --git a/drupal7/sites/all/modules/media/modules/media_migrate_file_types/media_migrate_file_types.info b/drupal7/sites/all/modules/media/modules/media_migrate_file_types/media_migrate_file_types.info
index 54ed2949..7da7b75a 100644
--- a/drupal7/sites/all/modules/media/modules/media_migrate_file_types/media_migrate_file_types.info
+++ b/drupal7/sites/all/modules/media/modules/media_migrate_file_types/media_migrate_file_types.info
@@ -8,9 +8,9 @@ dependencies[] = media
 
 configure = admin/structure/file-types/upgrade
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-2.0-rc11"
+; Information added by Drupal.org packaging script on 2017-03-05
+version = "7.x-2.0-rc12"
 core = "7.x"
 project = "media"
-datestamp = "1488279796"
+datestamp = "1488724088"
 
diff --git a/drupal7/sites/all/modules/media/modules/media_wysiwyg/includes/media_wysiwyg.filter.inc b/drupal7/sites/all/modules/media/modules/media_wysiwyg/includes/media_wysiwyg.filter.inc
index d74622b5..ef7261f3 100644
--- a/drupal7/sites/all/modules/media/modules/media_wysiwyg/includes/media_wysiwyg.filter.inc
+++ b/drupal7/sites/all/modules/media/modules/media_wysiwyg/includes/media_wysiwyg.filter.inc
@@ -348,7 +348,7 @@ function media_wysiwyg_filter_field_parser($tag_info) {
           }
         }
         // Multi-value select lists show up here with 3 array items.
-        elseif (count($parsed_field) == 3 && is_numeric($parsed_field[2])) {
+        elseif (count($parsed_field) == 3 && (empty($parsed_field[2]) || is_numeric($parsed_field[2]))) {
           $info = field_info_field($parsed_field[0]);
           // They just need the value column.
           $parsed_field[3] = key($info['columns']);
diff --git a/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.info b/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.info
index a2ed8b2e..482500d2 100644
--- a/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.info
+++ b/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.info
@@ -15,9 +15,9 @@ files[] = tests/media_wysiwyg.macro.test
 
 configure = admin/config/media/browser
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-2.0-rc11"
+; Information added by Drupal.org packaging script on 2017-03-05
+version = "7.x-2.0-rc12"
 core = "7.x"
 project = "media"
-datestamp = "1488279796"
+datestamp = "1488724088"
 
diff --git a/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.install b/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.install
index 304d57f1..cab6b9b8 100644
--- a/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.install
+++ b/drupal7/sites/all/modules/media/modules/media_wysiwyg/media_wysiwyg.install
@@ -178,7 +178,7 @@ function media_wysiwyg_update_7205() {
   // Migrate the configuration from the old variables into the new DB tables.
   $types = file_type_load_all(TRUE);
   foreach ($types as $type) {
-    $enabled = variable_get("media_wysiwyg_view_mode_" . $type->type . "_file__wysiwyg_restricted_view_modes_status", FALSE);
+    $enabled = variable_get("media_wysiwyg_view_mode_" . $type->type . "_file_wysiwyg_restricted_view_modes_status", FALSE);
     if ($enabled) {
       $wysiwyg_restricted_view_modes = variable_get("media_wysiwyg_view_mode_" . $type->type . "_file_wysiwyg_restricted_view_modes", array());
       foreach ($wysiwyg_restricted_view_modes as $wysiwyg_restricted_view_mode) {
@@ -191,7 +191,7 @@ function media_wysiwyg_update_7205() {
       }
     }
 
-    $enabled = variable_get("media_wysiwyg_view_mode_" . $type->type . "_wysiwyg_view_mode_status");
+    $enabled = variable_get("media_wysiwyg_view_mode_" . $type->type . "_wysiwyg_view_mode_status", FALSE);
     if ($enabled) {
       $file_wysiwyg_view_mode = variable_get("media_wysiwyg_view_mode_" . $type->type . "_file_wysiwyg_view_mode", 'wysiwyg');
       db_insert('media_view_mode_wysiwyg')
diff --git a/drupal7/sites/all/modules/media/modules/media_wysiwyg_view_mode/media_wysiwyg_view_mode.info b/drupal7/sites/all/modules/media/modules/media_wysiwyg_view_mode/media_wysiwyg_view_mode.info
index deac9118..a14ee9ac 100644
--- a/drupal7/sites/all/modules/media/modules/media_wysiwyg_view_mode/media_wysiwyg_view_mode.info
+++ b/drupal7/sites/all/modules/media/modules/media_wysiwyg_view_mode/media_wysiwyg_view_mode.info
@@ -3,9 +3,9 @@ description = DEPRECATED, this folder is only here so that the module can be uni
 package = Media
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-2.0-rc11"
+; Information added by Drupal.org packaging script on 2017-03-05
+version = "7.x-2.0-rc12"
 core = "7.x"
 project = "media"
-datestamp = "1488279796"
+datestamp = "1488724088"
 
diff --git a/drupal7/sites/all/modules/media/modules/mediafield/mediafield.info b/drupal7/sites/all/modules/media/modules/mediafield/mediafield.info
index 9d566988..b7fdd7b9 100644
--- a/drupal7/sites/all/modules/media/modules/mediafield/mediafield.info
+++ b/drupal7/sites/all/modules/media/modules/mediafield/mediafield.info
@@ -4,9 +4,9 @@ package = Media
 core = 7.x
 dependencies[] = media
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-2.0-rc11"
+; Information added by Drupal.org packaging script on 2017-03-05
+version = "7.x-2.0-rc12"
 core = "7.x"
 project = "media"
-datestamp = "1488279796"
+datestamp = "1488724088"
 
diff --git a/drupal7/sites/all/modules/media/tests/media_module_test.info b/drupal7/sites/all/modules/media/tests/media_module_test.info
index 68af95d1..f43c1df3 100644
--- a/drupal7/sites/all/modules/media/tests/media_module_test.info
+++ b/drupal7/sites/all/modules/media/tests/media_module_test.info
@@ -6,9 +6,9 @@ hidden = TRUE
 
 files[] = includes/MediaModuleTest.inc
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-2.0-rc11"
+; Information added by Drupal.org packaging script on 2017-03-05
+version = "7.x-2.0-rc12"
 core = "7.x"
 project = "media"
-datestamp = "1488279796"
+datestamp = "1488724088"
 
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame-row-item.tpl.php b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame-row-item.tpl.php
index 297a1179..3bb3e7ba 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame-row-item.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame-row-item.tpl.php
@@ -7,7 +7,7 @@
  * - $classes: Classes.
  * - $item: Row item.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <div class="<?php print $classes; ?>">
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame-row.tpl.php b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame-row.tpl.php
index 9b0feab2..1342f122 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame-row.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame-row.tpl.php
@@ -8,7 +8,7 @@
  * - $classes: Classes.
  * - $rendered_items: Rendered items.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <div id="views_slideshow_cycle_div_<?php print $variables['vss_id']; ?>_<?php print $variables['count']; ?>" class="<?php print $classes; ?>" <?php print $aria; ?>>
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame.tpl.php b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame.tpl.php
index 1696ae18..7e7facba 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle-main-frame.tpl.php
@@ -8,7 +8,7 @@
  * - $classes: Classes.
  * - $rendered_rows: Rendered rows.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <div id="views_slideshow_cycle_teaser_section_<?php print $variables['vss_id']; ?>" class="<?php print $classes; ?>">
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle.tpl.php b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle.tpl.php
index ea29f273..c3e6d6db 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views-slideshow-cycle.tpl.php
@@ -3,6 +3,8 @@
 /**
  * @file
  * Views Slideshow: Single Frame template file.
+ *
+ * @ingroup vss_templates
  */
 ?>
 
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views_slideshow_cycle.theme.inc b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views_slideshow_cycle.theme.inc
index 1fbda6a2..faa81435 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views_slideshow_cycle.theme.inc
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/theme/views_slideshow_cycle.theme.inc
@@ -8,7 +8,7 @@
 /**
  * Views Slideshow: Theme the main frame wrapper.
  *
- * @ingroup themeable
+ * @ingroup vss_theme
  */
 function template_preprocess_views_slideshow_cycle_main_frame(&$vars) {
   $settings = $vars['settings'];
@@ -172,7 +172,7 @@ function template_preprocess_views_slideshow_cycle_main_frame(&$vars) {
 /**
  * Views Slideshow slideshow rows.
  *
- * @ingroup themeable
+ * @ingroup vss_theme
  */
 function template_preprocess_views_slideshow_cycle_main_frame_row(&$vars) {
   $current = $vars['count'] + 1;
@@ -204,6 +204,8 @@ function template_preprocess_views_slideshow_cycle_main_frame_row(&$vars) {
 
 /**
  * Implements hook_preprocess_views_slideshow_cycle_main_frame_row_item().
+ *
+ * @ingroup vss_theme
  */
 function template_preprocess_views_slideshow_cycle_main_frame_row_item(&$vars) {
   $vars['classes_array'][] = 'views-row views-row-' . $vars['item_count'];
@@ -223,6 +225,8 @@ function template_preprocess_views_slideshow_cycle_main_frame_row_item(&$vars) {
 
 /**
  * Implements hook_preprocess_views_slideshow_pager_fields().
+ *
+ * @ingroup vss_theme
  */
 function views_slideshow_cycle_preprocess_views_slideshow_pager_fields(&$vars) {
   $slide_count = count($vars['view']->result);
@@ -261,6 +265,8 @@ function views_slideshow_cycle_preprocess_views_slideshow_pager_fields(&$vars) {
 
 /**
  * Implements hook_preprocess_views_slideshow_slide_counter().
+ *
+ * @ingroup vss_theme
  */
 function views_slideshow_cycle_preprocess_views_slideshow_slide_counter(&$vars) {
   if ($vars['view']->style_options['slideshow_type'] == 'views_slideshow_cycle') {
@@ -272,7 +278,11 @@ function views_slideshow_cycle_preprocess_views_slideshow_slide_counter(&$vars)
 /**
  * Backwards compatability wrapper.
  *
+ * @deprecated Removed in 3.5 when the hook_theme() implementation was fixed.
+ *
  * @see template_preprocess_views_slideshow_cycle_main_frame().
+ *
+ * @ingroup vss_theme
  */
 function _views_slideshow_cycle_preprocess_views_slideshow_cycle_main_frame(&$vars) {
   template_preprocess_views_slideshow_cycle_main_frame($vars);
@@ -281,7 +291,11 @@ function _views_slideshow_cycle_preprocess_views_slideshow_cycle_main_frame(&$va
 /**
  * Backwards compatability wrapper.
  *
+ * @deprecated Removed in 3.5 when the hook_theme() implementation was fixed.
+ *
  * @see template_preprocess_views_slideshow_cycle_main_frame_row().
+ *
+ * @ingroup vss_theme
  */
 function _views_slideshow_cycle_preprocess_views_slideshow_cycle_main_frame_row(&$vars) {
   template_preprocess_views_slideshow_cycle_main_frame_row($vars);
@@ -290,8 +304,12 @@ function _views_slideshow_cycle_preprocess_views_slideshow_cycle_main_frame_row(
 /**
  * Backwards compatability wrapper.
  *
+ * @deprecated Removed in 3.5 when the hook_theme() implementation was fixed.
+ *
  * @see template_preprocess_views_slideshow_cycle_main_frame_row_item().
+ *
+ * @ingroup vss_theme
  */
 function _views_slideshow_cycle_preprocess_views_slideshow_cycle_main_frame_row_item(&$vars) {
   template_preprocess_views_slideshow_cycle_main_frame_row_item($vars);
-}
\ No newline at end of file
+}
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.css b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.css
index 673d92f7..f85c5910 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.css
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.css
@@ -1,3 +1,7 @@
+/**
+ * @file
+ * Basic styling for Views Slideshow Cycle.
+ */
 
 .views_slideshow_cycle_no_display,
 .views_slideshow_cycle_hidden,
@@ -8,18 +12,12 @@
   display: none;
 }
 
+/* Only show control blocks if the JavaScript successfully initialized. */
 .views-slideshow-cycle-processed .views-slideshow-controls-bottom,
 .views-slideshow-cycle-processed .views-slideshow-controls-top {
   display: block;
 }
 
-.views-slideshow-cycle-main-frame,
-.views-slideshow-cycle-main-frame div,
-.views-slideshow-cycle-main-frame img {
-  max-width: 100%;
-}
-
-
 /* Pager Settings */
 
 .views-slideshow-pager-fields img {
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.info b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.info
index 99635328..cbe4abcf 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.info
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.info
@@ -5,9 +5,9 @@ dependencies[] = libraries
 package = Views
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-3.7"
+; Information added by Drupal.org packaging script on 2017-03-06
+version = "7.x-3.8"
 core = "7.x"
 project = "views_slideshow"
-datestamp = "1488323886"
+datestamp = "1488825863"
 
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle_responsive_example.css b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle_responsive_example.css
new file mode 100644
index 00000000..f2e88180
--- /dev/null
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle_responsive_example.css
@@ -0,0 +1,15 @@
+/**
+ * @file
+ * Example rules to enhance responsiveness of Views Slideshow.
+ *
+ * Due to various site styles and markup, this won't work on all sites.
+ * Which is why it was removed from views_slideshow_cycle.css as that caused
+ * bugs on some sites, especially those using floats on the parent elements but
+ * without any width declarations.
+ */
+ 
+.views-slideshow-cycle-main-frame,
+.views-slideshow-cycle-main-frame div,
+.views-slideshow-cycle-main-frame img {
+  max-width: 100%;
+}
\ No newline at end of file
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.info b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.info
index 3b323338..c583c3cd 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.info
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.info
@@ -4,9 +4,9 @@ dependencies[] = views_slideshow
 package = Views
 core = 7.x
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-3.7"
+; Information added by Drupal.org packaging script on 2017-03-06
+version = "7.x-3.8"
 core = "7.x"
 project = "views_slideshow"
-datestamp = "1488323886"
+datestamp = "1488825863"
 
diff --git a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.module b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.module
index c835a0fc..c5cca238 100644
--- a/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.module
+++ b/drupal7/sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.module
@@ -37,6 +37,8 @@ function views_slideshow_simple_pager_theme($existing, $type, $theme, $path) {
 
 /**
  * Template preprocess function for Views Slideshow simple pager.
+ *
+ * @ingroup vss_theme
  */
 function template_preprocess_views_slideshow_simple_pager(&$vars) {
   // Call the fields pager preprocess function.
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-next.tpl.php b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-next.tpl.php
index 0cb6e2aa..c8b21b61 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-next.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-next.tpl.php
@@ -8,7 +8,7 @@
  * - $classes: Text control classes.
  * - $vss_id: The Views Slideshow unique id.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <span id="views_slideshow_controls_text_next_<?php print $vss_id; ?>" class="<?php print $classes; ?>">
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-pause.tpl.php b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-pause.tpl.php
index 0464b895..9a464fa4 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-pause.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-pause.tpl.php
@@ -8,7 +8,7 @@
  * - $classes: Text control classes.
  * - $start_text: Start/Pause control text.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <span id="views_slideshow_controls_text_pause_<?php print $variables['vss_id']; ?>" class="<?php print $classes; ?>"><a href="#"><?php print $start_text; ?></a></span>
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-previous.tpl.php b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-previous.tpl.php
index 27295e15..9934c6dc 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-previous.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text-previous.tpl.php
@@ -8,7 +8,7 @@
  * - $classes: Text control classes.
  * - $vss_id: The Views Slideshow unique ID.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <span id="views_slideshow_controls_text_previous_<?php print $vss_id; ?>" class="<?php print $classes; ?>">
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text.tpl.php b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text.tpl.php
index ce36abf7..4ed7dddc 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-controls-text.tpl.php
@@ -10,7 +10,7 @@
  * - $rendered_control_pause: Rendered control - pause.
  * - $rendered_control_next: Rendered control - next.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <div id="views_slideshow_controls_text_<?php print $variables['vss_id']; ?>" class="<?php print $classes; ?>">
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-field-field.tpl.php b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-field-field.tpl.php
index 2f83485f..87b05ab4 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-field-field.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-field-field.tpl.php
@@ -10,7 +10,7 @@
  * - $field_item: The field being rendered.
  * - $field_rendered: The pre-rendered field.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <div class="views-field-<?php print $css_id; ?>">
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-field-item.tpl.php b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-field-item.tpl.php
index d3224799..7b561190 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-field-item.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-field-item.tpl.php
@@ -10,7 +10,7 @@
  * - $view: The view the pager is attached to.
  * - $vss_id: The id of the slideshow.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <div id="views_slideshow_pager_field_item_<?php print $variables['location']; ?>_<?php print $vss_id; ?>_<?php print $count; ?>" class="<?php print $classes; ?>" aria-controls="views_slideshow_cycle_div_<?php print $variables['vss_id']; ?>_<?php print $variables['count']; ?>">
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-fields.tpl.php b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-fields.tpl.php
index 4bf6479f..15e0678e 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-fields.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-pager-fields.tpl.php
@@ -8,7 +8,7 @@
  * - $classes: Classes.
  * - $rendered_field_items: Rendered field items.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <div id="<?php print $widget_id; ?>" class="<?php print $classes; ?>">
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-slide-counter.tpl.php b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-slide-counter.tpl.php
index 88ccdede..ba197916 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-slide-counter.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow-slide-counter.tpl.php
@@ -8,7 +8,7 @@
  * - $classes: Classes.
  * - $slide_count: Slide count.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 <div id="views_slideshow_slide_counter_<?php print $variables['vss_id']; ?>" class="<?php print $classes; ?>">
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow.tpl.php b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow.tpl.php
index 38c0c053..ddb5767e 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow.tpl.php
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views-slideshow.tpl.php
@@ -9,7 +9,7 @@
  * - $rows: The rows output from the View.
  * - $title: The title of this group of rows. May be empty.
  *
- * @ingroup views_templates
+ * @ingroup vss_templates
  */
 ?>
 
diff --git a/drupal7/sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc b/drupal7/sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc
index 97637d49..d3bddae7 100644
--- a/drupal7/sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc
+++ b/drupal7/sites/all/modules/views_slideshow/theme/views_slideshow.theme.inc
@@ -3,8 +3,25 @@
 /**
  * @file
  * The theme system, which controls the output of views slideshow.
+ */
+
+ /**
+ * @defgroup vss_templates Templates
+ * @{
+ * Slideshow and component templates.
  *
- * This just adds a wrapper div to the slideshow.
+ * @see vss_theme
+ * @}
+ */
+
+ /**
+ * @defgroup vss_theme Theme Functions
+ * @{
+ * Theme processing and display generation.
+ *
+ * Most of the logic behind the generation of the slideshow is here.
+ *
+ * @see vss_templates
  */
 
 /**
@@ -179,8 +196,6 @@ function template_preprocess_views_slideshow(&$vars) {
 
 /**
  * The current element of the slideshow.
- *
- * @ingroup themeable
  */
 function theme_views_slideshow_main_section($vars) {
   return '<div id="' . $vars['plugin'] . '_main_' . $vars['vss_id'] . '" class="' . $vars['plugin'] . '_main views_slideshow_main">' . $vars['slides'] . '</div>';
@@ -188,21 +203,19 @@ function theme_views_slideshow_main_section($vars) {
 
 /**
  * Views Slideshow: pager.
- *
- * @ingroup themeable
  */
 function theme_views_slideshow_pager_widget_render($vars) {
   if (isset($vars['settings']['hide_on_single_slide']) && $vars['settings']['hide_on_single_slide'] === 1 && count($vars['rows']) < 2) {
     return '';
   }
-  $master_pager = isset($vars['settings']['master_pager']) ? views_slideshow_format_addons_name($vars['settings']['master_pager']) : '';
+
   // Add JavaScript settings for the pager type.
   $js_vars = array(
     'viewsSlideshowPager' => array(
       $vars['vss_id'] => array(
         $vars['location'] => array(
           'type' => views_slideshow_format_addons_name($vars['settings']['type']),
-          'master_pager' => $master_pager,
+          'master_pager' => views_slideshow_format_addons_name($vars['settings']['master_pager']),
         ),
       ),
     ),
@@ -287,8 +300,6 @@ function template_preprocess_views_slideshow_pager_fields(&$vars) {
 
 /**
  * Views Slideshow: pager item.
- *
- * @ingroup themeable
  */
 function template_preprocess_views_slideshow_pager_field_item(&$vars) {
   $vars['classes_array'][] = 'views_slideshow_pager_field_item';
@@ -303,8 +314,6 @@ function template_preprocess_views_slideshow_pager_field_item(&$vars) {
 
 /**
  * Views Slideshow: pager field item field.
- *
- * @ingroup themeable
  */
 function template_preprocess_views_slideshow_pager_field_field(&$vars) {
   $view = $vars['view'];
@@ -318,8 +327,6 @@ function template_preprocess_views_slideshow_pager_field_field(&$vars) {
 
 /**
  * Views Slideshow: Controls.
- *
- * @inggroup themeable
  */
 function theme_views_slideshow_controls_widget_render($vars) {
   // Add JavaScript settings for the controls type.
@@ -353,8 +360,6 @@ function theme_views_slideshow_controls_widget_render($vars) {
 
 /**
  * The slideshow controls.
- *
- * @ingroup themeable
  */
 function template_preprocess_views_slideshow_controls_text(&$vars) {
   $module_path = drupal_get_path('module', 'views_slideshow');
@@ -383,8 +388,6 @@ function template_preprocess_views_slideshow_controls_text(&$vars) {
 
 /**
  * Views Slideshow: "previous" control.
- *
- * @ingroup themeable
  */
 function template_preprocess_views_slideshow_controls_text_previous(&$vars) {
   $vars['classes_array'][] = 'views_slideshow_controls_text_previous';
@@ -392,8 +395,6 @@ function template_preprocess_views_slideshow_controls_text_previous(&$vars) {
 
 /**
  * Views Slideshow: "pause" control.
- *
- * @ingroup themeable
  */
 function template_preprocess_views_slideshow_controls_text_pause(&$vars) {
   $vars['classes_array'][] = 'views_slideshow_controls_text_pause  views-slideshow-controls-text-status-play';
@@ -402,8 +403,6 @@ function template_preprocess_views_slideshow_controls_text_pause(&$vars) {
 
 /**
  * Views Slideshow: "next" control.
- *
- * @ingroup themeable
  */
 function template_preprocess_views_slideshow_controls_text_next(&$vars) {
   $vars['classes_array'][] = 'views_slideshow_controls_text_next';
@@ -411,8 +410,6 @@ function template_preprocess_views_slideshow_controls_text_next(&$vars) {
 
 /**
  * Views Slideshow: Slide Counter.
- *
- * @inggroup themeable
  */
 function theme_views_slideshow_slide_counter_widget_render($vars) {
   return theme(views_theme_functions('views_slideshow_slide_counter', $vars['view'], $vars['view']->display[$vars['view']->current_display]), array(
@@ -435,6 +432,8 @@ function template_preprocess_views_slideshow_slide_counter(&$vars) {
 /**
  * Backwards compatability wrapper.
  *
+ * @deprecated Removed in 3.5 when the hook_theme() implementation was fixed.
+ *
  * @see template_preprocess_views_slideshow().
  */
 function _views_slideshow_preprocess_views_slideshow(&$vars) {
@@ -444,6 +443,8 @@ function _views_slideshow_preprocess_views_slideshow(&$vars) {
 /**
  * Backwards compatability wrapper.
  *
+ * @deprecated Removed in 3.5 when the hook_theme() implementation was fixed.
+ *
  * @see template_preprocess_views_slideshow_pager_fields().
  */
 function _views_slideshow_preprocess_views_slideshow_pager_fields(&$vars) {
@@ -453,6 +454,8 @@ function _views_slideshow_preprocess_views_slideshow_pager_fields(&$vars) {
 /**
  * Backwards compatability wrapper.
  *
+ * @deprecated Removed in 3.5 when the hook_theme() implementation was fixed.
+ *
  * @see template_preprocess_views_slideshow_pager_field_item().
  */
 function _views_slideshow_preprocess_views_slideshow_pager_field_item(&$vars) {
@@ -462,6 +465,8 @@ function _views_slideshow_preprocess_views_slideshow_pager_field_item(&$vars) {
 /**
  * Backwards compatability wrapper.
  *
+ * @deprecated Removed in 3.5 when the hook_theme() implementation was fixed.
+ *
  * @see template_preprocess_views_slideshow_controls_text().
  */
 function _views_slideshow_preprocess_views_slideshow_controls_text(&$vars) {
@@ -480,6 +485,8 @@ function _views_slideshow_preprocess_views_slideshow_controls_text_previous(&$va
 /**
  * Backwards compatability wrapper.
  *
+ * @deprecated Removed in 3.5 when the hook_theme() implementation was fixed.
+ *
  * @see template_preprocess_views_slideshow_controls_text_pause().
  */
 function _views_slideshow_preprocess_views_slideshow_controls_text_pause(&$vars) {
@@ -489,6 +496,8 @@ function _views_slideshow_preprocess_views_slideshow_controls_text_pause(&$vars)
 /**
  * Backwards compatability wrapper.
  *
+ * @deprecated Removed in 3.5 when the hook_theme() implementation was fixed.
+ *
  * @see template_preprocess_views_slideshow_controls_text_next().
  */
 function _views_slideshow_preprocess_views_slideshow_controls_text_next(&$vars) {
@@ -498,8 +507,14 @@ function _views_slideshow_preprocess_views_slideshow_controls_text_next(&$vars)
 /**
  * Backwards compatability wrapper.
  *
+ * @deprecated Removed in 3.5 when the hook_theme() implementation was fixed.
+ *
  * @see template_preprocess_views_slideshow_slide_counter().
  */
 function _views_slideshow_preprocess_views_slideshow_slide_counter(&$vars) {
   template_preprocess_views_slideshow_slide_counter($vars);
-}
\ No newline at end of file
+}
+
+/**
+ * @} End of "defgroup vss_theme".
+ */
\ No newline at end of file
diff --git a/drupal7/sites/all/modules/views_slideshow/views_slideshow.api.php b/drupal7/sites/all/modules/views_slideshow/views_slideshow.api.php
index 1c02acfc..f9979eab 100644
--- a/drupal7/sites/all/modules/views_slideshow/views_slideshow.api.php
+++ b/drupal7/sites/all/modules/views_slideshow/views_slideshow.api.php
@@ -6,8 +6,15 @@
  */
 
 /**
- * @addtogroup hooks
+ * @defgroup vss_hooks Hooks
  * @{
+ * Hooks for modules to implement to extend or modify Views Slideshow.
+ *
+ * Allows modules to create actual slideshow implementations or add
+ * widgets such as pagers.
+ *
+ * @see contrib\views_slideshow_simple_pager\views_slideshow_simple_pager.module
+ * @see https://api.drupal.org/api/drupal/includes%21module.inc/group/hooks/7.x
  */
 
 /**
@@ -202,5 +209,5 @@ function INSERT_WIDGET_TYPE_HERE_views_slideshow_widget_controls_form_options(&$
 }
 
 /**
- * @} End of "addtogroup hooks".
+ * @} End of "defgroup vss_hooks".
  */
diff --git a/drupal7/sites/all/modules/views_slideshow/views_slideshow.developer-documentation.php b/drupal7/sites/all/modules/views_slideshow/views_slideshow.developer-documentation.php
new file mode 100644
index 00000000..022e137a
--- /dev/null
+++ b/drupal7/sites/all/modules/views_slideshow/views_slideshow.developer-documentation.php
@@ -0,0 +1,22 @@
+<?php
+
+/** @mainpage Views Slideshow API & Developer Documentation
+ * Welcome to the Views Slideshow developer's documentation.
+ *
+ * Newcomers to Drupal development should read the conceptual information
+ * in @link https://www.drupal.org/docs/7/api/ Drupal API Introduction @endlink
+ * or @link https://api.drupal.org/api/drupal/7.x Drupal API Docs @endlink.
+ * The heavily documented
+ * @link https://api.drupal.org/api/examples/7.x-1.x Example modules @endlink
+ * may also be helpful.
+ *
+ * For any support or questions see the
+ * @link https://drupal.org/project/views_slideshow module page @endlink
+ *
+ *
+ * - Primary components of Views Slideshow
+ *   - @link vss_hooks Views Slideshow Hooks @endlink
+ *   - @link vss_theme Theme Functions @endlink
+ *   - @link vss_templates Templates @endlink
+ *   - @link contrib/views_slideshow_cycle/views_slideshow_cycle.module Cycle Module @endlink
+ */
diff --git a/drupal7/sites/all/modules/views_slideshow/views_slideshow.info b/drupal7/sites/all/modules/views_slideshow/views_slideshow.info
index 4db748ff..55888b27 100644
--- a/drupal7/sites/all/modules/views_slideshow/views_slideshow.info
+++ b/drupal7/sites/all/modules/views_slideshow/views_slideshow.info
@@ -6,9 +6,9 @@ core = 7.x
 
 files[] = views_slideshow_plugin_style_slideshow.inc
 
-; Information added by Drupal.org packaging script on 2017-02-28
-version = "7.x-3.7"
+; Information added by Drupal.org packaging script on 2017-03-06
+version = "7.x-3.8"
 core = "7.x"
 project = "views_slideshow"
-datestamp = "1488323886"
+datestamp = "1488825863"
 
diff --git a/drupal7/sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc b/drupal7/sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc
index 9a0ede37..de32f632 100644
--- a/drupal7/sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc
+++ b/drupal7/sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc
@@ -1,14 +1,7 @@
 <?php
 
-/**
- * @file
- * Contains the list style plugin.
- */
-
 /**
  * Style plugin to render each item in a slideshow.
- *
- * @ingroup views_style_plugins
  */
 class views_slideshow_plugin_style_slideshow extends views_plugin_style {
 
